export default [
    {
      path: "/coffee",
      meta: {
        title: "咖啡",
      },
      component: () =>
        import(/* webpackChunkName: "coffee" */ "../views/coffee/index.vue"),
      children: [
        {
          path: "orders",
          name: "Orders",
          meta: {
            title: "订单列表",
          },
          component: () =>
            import(
              /* webpackChunkName: "coffee" */ "../views/coffee/orders/index.vue"
            ),
        },
        {
          path: "",
          name: "Drinks",
          meta: {
            title: "点餐",
          },
          component: () =>
            import(
              /* webpackChunkName: "coffee" */ "../views/coffee/drinks/index.vue"
            ),
        },
      ],
    },
    {
      path: "/coffeeOrder",
      name: "CoffeeOrder",
      meta: {
        title: "订单详情",
      },
      component: () =>
        import(
          /* webpackChunkName: "coffee" */ "../views/coffee/order/index.vue"
        ),
    },
    {
      path: "/coffeeAddList",
      name: "CoffeeAddList",
      meta: {
        title: "地址列表",
      },
      component: () =>
        import(
          /* webpackChunkName: "coffee" */ "../views/coffee/contacts/list.vue"
        ),
    },
    {
      path: "/coffeeEdit",
      name: "CoffeeEdit",
      meta: {
        title: "编辑地址",
      },
      component: () =>
        import(
          /* webpackChunkName: "coffee" */ "../views/coffee/contacts/edit_add.vue"
        ),
    },
  ];
