import * as echarts from "echarts/core";
import { RadarChart, LineChart,BarChart,PieChart   } from "echarts/charts";
import { TitleComponent } from "echarts/components";
import {
  TooltipComponent,
  GridComponent,
  LegendComponent,
  DatasetComponent,
  TransformComponent,
  ToolboxComponent,
  BrushComponent
} from "echarts/components";
import { LabelLayout, UniversalTransition } from "echarts/features";
import { SVGRenderer } from "echarts/renderers";

echarts.use([
  TitleComponent,
  TooltipComponent,
  GridComponent,
  LegendComponent,
  DatasetComponent,
  TransformComponent,
  LabelLayout,
  UniversalTransition,
  RadarChart,
  SVGRenderer,
  LineChart,
  ToolboxComponent,
  BrushComponent,
  BarChart,
  PieChart
]);

export default echarts;
