export default [
    {
      path: "/advertisement",
      name: "Advertisement",
      meta: {
        title: "电视广告数据月报",
      },
      component: () =>
        import(
          /* webpackChunkName: "report" */ "../views/report/Advertisement/index.vue"
        ),
    },
    {
      path: "/Traditional",
      name: "Traditional",
      meta: {
        title: "陕西视听大数据发布",
      },
      component: () =>
        import(
          /* webpackChunkName: "report" */ "../views/report/Traditional/index.vue"
        ),
    },
    {
      path: "/Mobile/:date",
      name: "Mobile",
      meta: {
        title: "陕西新媒体大数据发布",
      },
      component: () =>
        import(
          /* webpackChunkName: "report" */ "../views/report/Mobile/index.vue"
        ),
    },
    {
      path: "/Calendar/:date",
      name: "Calendar",
      meta: {
        title: "陕西新媒体大数据发布",
      },
      component: () =>
        import(
          /* webpackChunkName: "report" */ "../views/report/Calendar/index.vue"
        ),
    },
];
